
$(function(){
	//单选 已到账  未到账
		$(".radio_yes,.radio_no").click(function(){
			

			  if($(this).is(".radio_yes")){
				
			  }
			  
			  else{
				 
					var obj=  $(".radio_yes");
					obj.removeClass("radio_yes");          
					obj.addClass("radio_no"); 
					$(this).removeClass("radio_no");
			        $(this).addClass("radio_yes");
					 
			}
		 });
		
		
	      
 });


 
 function check(){
	var hisotryName= $("#hisotryName").val();
	var batchN= $("#batchN").val();
	var isGroup = $("#isGroup").find(".radio_yes").attr("code");
	var partnerType = $("#partnerType").find(".sel_text").attr("code");
	 SkipByPost("queryGroup.do",{partnerN:isGroup,partnerT:partnerType,batchNo :batchN,hisotryN:hisotryName});
 }
 
//跳转当前页
 function cur_skip(e){
 	var pn = $(e).find("span").html();
 	var partnerType = $("#partnerType").find(".sel_text").attr("code");
	var paymentStatus = $("#isGroup").find(".radio_yes").attr("code");
	var batchN= $("#batchN").val();
 	var hisotryName= $("#hisotryName").val();
 	SkipByPost("batchPaymentPage.do",{pageNo:pn,partnerType:partnerType,paymentStatus:paymentStatus,batchNo :batchN,hisotryN:hisotryName});
 	$(".turn_cur").removeAttr("class");
 	$(e).find("span").attr("class","turn_cur");
 	
 }
 
//前一页
 function pre(e){
 	var cur = $("#nav").find(".turn_cur").html();
	var hisotryName= $("#hisotryName").val();
	var batchN= $("#batchN").val();
 	if(cur>1){
 		var partnerType = $("#partnerType").find(".sel_text").attr("code");
 		var paymentStatus = $("#isGroup").find(".radio_yes").attr("code");
 	var pre = Number(cur)-Number(1);
 	SkipByPost("batchPaymentPage.do",{pageNo:pre,partnerType:partnerType,paymentStatus:paymentStatus,batchNo:batchN,hisotryN:hisotryName});
 	}else{
 		return;
 	}
 }
 //下一页
 function next(e){
 	var cur = $("#nav").find(".turn_cur").html();
 	var hisotryName= $("#hisotryName").val();
 	var batchN= $("#batchN").val();
 	if(!cur){
 		cur = $("#currentPage").val();
 	}
// 	if(cur<1){
 	var partnerType = $("#partnerType").find(".sel_text").attr("code");
	var paymentStatus = $("#isGroup").find(".radio_yes").attr("code");
 	var next = Number(cur)+Number(1);
 	$("#currentPage").val(next);
 	var number=$("#max").val();
 	if(parseInt(cur)<parseInt(number)){
 		SkipByPost("batchPaymentPage.do",{pageNo:next,partnerType:partnerType,paymentStatus:paymentStatus,batchNo :batchN,hisotryN:hisotryName});
 	}else {
		return;
	}
 		
 	
// 	}else{
// 		return;
// 	}
 }
 //跳转至
 function custom(){
 	var pn = $.trim($("#turn_inp").val());
 	if(pn == "") return;  // 如果为空就不调跳转
 	var partnerType = $("#partnerType").find(".sel_text").attr("code");
	var paymentStatus = $("#isGroup").find(".radio_yes").attr("code");
	var batchN= $("#batchN").val();
	var hisotryName= $("#hisotryName").val();
 	SkipByPost("batchPaymentPage.do",{pageNo:Number(pn),partnerType:partnerType,paymentStatus:paymentStatus,batchNo :batchN,hisotryN:hisotryName});
 }
 
 //跳转合并对账单页面
 function skipConsolidating(){
	 var paymentNo = $("#paymentNo").val();
	 SkipByPost("consolidating.do",{paymentNo:paymentNo});
 }
 